Services
Commerce Resources · 5 endpoints
GET
/v1/servicesList Services
app_install_bearerscope: services:read
Parameters
| Field | Type | Required | Description |
|---|---|---|---|
limitquery | integer | optional | |
starting_afterquery | string | optional | |
ending_beforequery | string | optional |
Returns · 200
| Field | Type | Required | Description |
|---|---|---|---|
data | ServiceListResponse | required | |
data.has_more | boolean | required | |
data.items | ServiceObject[] | required | |
data.items[].billing_period | string | optional | |
data.items[].category_id | string | optional | |
data.items[].category_name | string | optional | |
data.items[].compare_at_price | string | optional | |
data.items[].created_at | string | optional | |
data.items[].description | string | optional | |
data.items[].description_html | string | optional | |
data.items[].id | string | required | |
data.items[].image_alt_text | string | optional | |
data.items[].image_url | string | optional | |
data.items[].is_active | boolean | optional | |
data.items[].is_popular | boolean | optional | |
data.items[].name | string | required | |
data.items[].object | string | optional | service |
data.items[].price | string | optional | |
data.items[].service_code | string | optional | |
data.items[].short_description | string | optional | |
data.items[].slug | string | optional | |
data.items[].sort_order | integer | optional | |
data.items[].status | string | optional | |
data.items[].tax_code | string | optional | |
data.items[].taxable | boolean | optional | |
data.items[].updated_at | string | optional | |
data.next_cursor | string | optional | |
data.object | string | optional | list |
data.url | string | optional | |
success | boolean | required | true |
Errors 400401403404409422429500
curl https://api.getmeonline.io/v1/services \
-H "Authorization: Bearer $GETME_API_KEY"POST
/v1/servicesCreate Service
app_install_bearerscope: services:writeidempotent
Parameters
| Field | Type | Required | Description |
|---|---|---|---|
Idempotency-Keyheader | string | required | Unique key used to make this mutation retry-safe for the replay window. |
Request body · application/json
| Field | Type | Required | Description |
|---|---|---|---|
billing_period | string | optional | |
category_id | string | optional | |
compare_at_price | number | string | optional | |
description | string | optional | |
description_html |
GET
/v1/services/{service_id}Get Service
app_install_bearerscope: services:read
Parameters
| Field | Type | Required | Description |
|---|---|---|---|
service_idpath | string | required | Service public identifier in serv_<21 Base62> format. |
Returns · 200
| Field | Type | Required | Description |
|---|---|---|---|
data | ServiceObject | required | |
data.billing_period | string | optional | |
data.category_id | string | optional | |
data.category_name | string | optional | |
data.compare_at_price | string |
PATCH
/v1/services/{service_id}Update Service
app_install_bearerscope: services:writeidempotent
Parameters
| Field | Type | Required | Description |
|---|---|---|---|
service_idpath | string | required | Service public identifier in serv_<21 Base62> format. |
Idempotency-Keyheader | string | required | Unique key used to make this mutation retry-safe for the replay window. |
Request body · application/json
| Field | Type | Required | Description |
|---|---|---|---|
billing_period | string | optional | |
category_id | string | optional | |
compare_at_price | number | string | optional |
POST
/v1/services/{service_id}/archiveArchive Service
app_install_bearerscope: services:writeidempotent
Parameters
| Field | Type | Required | Description |
|---|---|---|---|
service_idpath | string | required | Service public identifier in serv_<21 Base62> format. |
Idempotency-Keyheader | string | required | Unique key used to make this mutation retry-safe for the replay window. |
Returns · 200
| Field | Type | Required | Description |
|---|---|---|---|
data | ServiceObject | required | |
data.billing_period | string | optional | |
data.category_id | string | optional |